#!/bin/sh
# the next line restarts using wish \
exec wish8.3 "$0" "$@"
;##
;# Correct the file names and file case in the tafs files incase something changed.
;# Removes folder names that no longer exist.
;#
wm withdraw .
proc autoPlayListFix {args} {
   cd ~/.snackAmp
   set Files [glob -nocomplain *.tafs]
   foreach File $Files {
      set fid [open $File r]
      fconfigure $fid -buffersize 100000
      set full [split [read $fid] \n]
      close $fid
      ;# Reopen file for writing
      set fid [open $File w]
      puts "Processing $File"
      ;# Only update values if an entry already exists from prior scan
      ;# This prevents garbage if directories were moved
      foreach line $full {
         foreach {Index Value} $line {
            if {[catch {set result [file attributes $Index -longname]} message]} {
            } else {
               puts $fid [list $result $Value]
            }
         } ;# end foreach
      }
      close $fid
   }
}
###############################################################################
# Function   : cleanGain
# Description: Clean out stale gain values
# Author     : Tom Wilkason
# Date       : 1/23/2002
###############################################################################
proc cleanGain {args} {

}
autoPlayListFix
tk_messageBox -icon info -message "Links for autoPlayList files corrected"
exit
